Removing Unneeded Packages From Raspbian
07/12/2014 12:45 PM - Daniel Curtis

Status: Closed Start date: 07/12/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Package Management Estimated time: 0.50 hour
Target version: Raspbian Spent time: 1.50 hour
Description

While tinkering with my Raspberry Pi, | wanted to deploy something streamlined. So | needed to remove all the packages that | have
deemed unnecessary to obtain as close to a bare installation as possible.

Remove Extra Packages

® The exact command | used to remove the packages:

sudo apt-get remove —--purge wolfram-engine penguinspuzzle scratch dillo squeak-vm squeak-plugi
ns—-scratch sonic-pi idle idle3 netsurf-gtk netsurf-common

* Next, run a little bit of housekeeping:

sudo apt—-get autoremove
sudo apt—-get clean

® And then remove example files and optional files:

rm —-rf /home/pi/python_games
sudo rm -rf /opt/vc

NOTE: This will remove more than 500MB of space, and bring the installation down under 2GB. This regained space can be used for
swap to increase the performance of the RPi.

Remove the Graphical Environment

e Since | do not really need LXDE or the X Server, | can remove them along with a few other graphical packages that can further
reduce the raspbian footprint:

apt-get —--purge gnome-* lxde* lightdm* xserver* desktop-* python* smbclient lxappearance lxinp
ut lxmenu-data lxpanel lxpolkit lxrandr lxsession lxsession-edit lxshortcut lxtask lxterminal
leafpad menu menu-xdg xpdf xkb-data xinit xfonts-utils xfonts-encodings xdg-utils xauth xarchi
ver xl1l-utils x1ll-common

apt—-get autoremove

NOTE: This will free up another 800MB

History

#1 - 07/12/2014 01:10 PM - Daniel Curtis
- Status changed from New to Resolved
- % Done changed from 50 to 100

- Description updated
#2 - 09/28/2014 03:04 PM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 12/10/2014 04:42 PM - Daniel Curtis
- Description updated

#4 - 03/23/2015 08:08 AM - Daniel Curtis
- Category set to Package Management

- Target version set to Raspbian

#5 - 04/17/2015 08:53 PM - Daniel Curtis

- Description updated
